## ros-melodic-desistek-saga-control 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(desistek_saga_control)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
        PATTERN "*~" EXCLUDE)

=== debian/changelog ===
ros-melodic-desistek-saga-control (0.3.2-0bionic) bionic; urgency=high

  * Set package format to 2
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Emre Ege <emre.ege@desistek.com.tr>  Thu, 18 Apr 2019 22:00:00 -0000

ros-melodic-desistek-saga-control (0.3.1-0bionic) bionic; urgency=high



 -- Emre Ege <emre.ege@desistek.com.tr>  Wed, 13 Feb 2019 23:00:00 -0000

ros-melodic-desistek-saga-control (0.3.0-0bionic) bionic; urgency=high

  * ADD YAML file with model parameter information
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD Launch file to start the PDC controller
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Emre Ege <emre.ege@desistek.com.tr>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-desistek-saga-control (0.2.1-0bionic) bionic; urgency=high

  * ADD use_ned_frame flag to NMB SM control launch file
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Emre Ege <emre.ege@desistek.com.tr>  Tue, 24 Jul 2018 22:00:00 -0000

ros-melodic-desistek-saga-control (0.2.0-0bionic) bionic; urgency=high

  * ADD Launch file for PID controller
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * FIX Default path to recording.bag
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Emre Ege <emre.ege@desistek.com.tr>  Mon, 23 Jul 2018 22:00:00 -0000

ros-melodic-desistek-saga-control (0.1.3-0bionic) bionic; urgency=high



 -- Emre Ege <emre.ege@desistek.com.tr>  Tue, 10 Jul 2018 22:00:00 -0000

ros-melodic-desistek-saga-control (0.1.2-0bionic) bionic; urgency=high



 -- Emre Ege <emre.ege@desistek.com.tr>  Tue, 10 Jul 2018 22:00:00 -0000

ros-melodic-desistek-saga-control (0.1.1-0bionic) bionic; urgency=high



 -- Emre Ege <emre.ege@desistek.com.tr>  Tue, 10 Jul 2018 22:00:00 -0000

ros-melodic-desistek-saga-control (0.1.0-0bionic) bionic; urgency=high

  * ADD Demo launch file and controller parameters
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * FIX Typo package.xml
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * FIX Package version
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * ADD Description and control configuration files
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Emre Ege <emre.ege@desistek.com.tr>  Mon, 05 Mar 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-desistek-saga-control
Section: misc
Priority: extra
Maintainer: Emre Ege <emre.ege@desistek.com.tr>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-desistek-saga-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-desistek-saga-description, ros-melodic-uuv-control-cascaded-pid, ros-melodic-uuv-thruster-manager
Description: Configuration and launch files to control the Desistek SAGA ROV

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-desistek-saga-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
